#ifndef GLTEXOBJ_H
#define GLTEXOBJ_H

#include <QGLWidget>
#include <QImage>
#include <QMouseEvent>

typedef enum { NVIDIA, ATI } vendor_t;

class GLTexobj : public QGLWidget
{
	Q_OBJECT

public:

	GLTexobj( QWidget* parent );
	~GLTexobj();

public slots:

	void		mouseMoveEvent(QMouseEvent* e);
	void		update();
	void		imageBind();
	void		imageOpen();

protected:

	void		initializeGL();
	void		paintGL();
	void		resizeGL(int w, int h);

private:
	GLuint		texName;
	QTimer*		timer;
	QImage		img;
};


#endif // GLTEXOBJ_H
